summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-12-30 20:42:31 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-12-30 21:07:26 +0100
commit19cdc2bab27abae136cf7ba4424654cd44b0a338 (patch)
tree6996c8dd8605b5ec9ce2f4087a6985e28898bde0 /app-text
parentapp-text/libetonyek: 0.1.9 version bump (diff)
downloadgentoo-19cdc2bab27abae136cf7ba4424654cd44b0a338.tar.gz
gentoo-19cdc2bab27abae136cf7ba4424654cd44b0a338.tar.bz2
gentoo-19cdc2bab27abae136cf7ba4424654cd44b0a338.zip
app-text/libwpd: 0.10.3 version bump
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'app-text')
-rw-r--r--app-text/libwpd/Manifest1
-rw-r--r--app-text/libwpd/libwpd-0.10.3.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/app-text/libwpd/Manifest b/app-text/libwpd/Manifest
index fa6be2c72fb..393a213ce9b 100644
--- a/app-text/libwpd/Manifest
+++ b/app-text/libwpd/Manifest
@@ -1 +1,2 @@
DIST libwpd-0.10.2.tar.xz 536400 BLAKE2B a4ed9b8c790898436e08afd0f571c4a4b31615228248116b24bad38d07df7837982df1ffa98b0ad442cfec417fc90eb089642b32e3a094323e75fb8fc7cb8da7 SHA512 821dbc0535ebd4fa41bcf984e344e11176862676c66abebe45cf4284f8de6e6cc7629f8a605b169d034a5c2f3e2461513d61e11e549ca73b8328eb66ac3bdd79
+DIST libwpd-0.10.3.tar.xz 534712 BLAKE2B a7b39713c0df908912d0f6f94c6c0f7056a685dee7542ea88c441f055ad7cc62c1159985c459a4ff67d5b5fe4c412c31c9a9a2924702386ed5b8250147f071ff SHA512 df14f11e885a583218afdb0aafe8a15d01890289af8b316cd1d225e4a83996c82907fbfdde83257dc71d99bfbc5b21b2c96536f5a783748388659155dbdb8949
diff --git a/app-text/libwpd/libwpd-0.10.3.ebuild b/app-text/libwpd/libwpd-0.10.3.ebuild
new file mode 100644
index 00000000000..febfff6725b
--- /dev/null
+++ b/app-text/libwpd/libwpd-0.10.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="WordPerfect Document import/export library"
+HOMEPAGE="http://libwpd.sf.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
+SLOT="0.10"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~x86 ~x86-fbsd"
+IUSE="doc +tools"
+
+RDEPEND="dev-libs/librevenge"
+DEPEND="${RDEPEND}
+ dev-libs/boost
+"
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+
+src_configure() {
+ local myeconfargs=(
+ --program-suffix=-${SLOT}
+ --disable-static
+ $(use_with doc docs)
+ $(use_enable tools)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}